/*
colormachinesdl.h
Copyright 2007 Matt Heinzen

This file is part of Color Machine 0.8

Color Machine is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

Color Machine is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Color Machine; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "SDL.h"

#define DEFAULT_WIDTH 1280
#define DEFAULT_HEIGHT 1024
//#define WINDOW_NAME "Color Machine"
#define NUM_MODULES 28
#define NUM_PALETTES 8//28
#define NUM_EFFECTS 4
#define MIN_MODULE_TIME 20
#define MODULE_TIME_RANGE 20
#define MIN_CYCLES 48
#define CYCLES_RANGE 128
#define MIN_CYCLE_TIME (CLOCKS_PER_SEC / 128)
#define CYCLE_TIME_RANGE (CLOCKS_PER_SEC / 256)
//#define FRAME_MSEC 20
#define MAX_3D 2550

extern SDL_Surface *g_pScreen;
extern Uint8 *g_pScreenBuff;
extern SDL_Color g_Palette[256];
extern int g_DisplayWidth, g_DisplayHeight;
