/*
palettes.h
Copyright 2007 Matt Heinzen

This file is part of Color Machine 0.8

Color Machine is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

Color Machine is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Color Machine; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


void SetPaletteColor(int Index, float Red, float Green, float Blue);
void RotatePalette(bool const bForward);
void RotateRed(bool const bForward);
void RotateGreen(bool const bForward);
void RotateBlue(bool const bForward);
void FadePalette_x256(int const nSteps);
void InitPaletteBlack();
void InitPaletteRGBW();
void InitPaletteRedPulse();
void InitPaletteGreenPulse();
void InitPaletteBluePulse();
void InitPaletteYellowPulse();
void InitPaletteCyanPulse();
void InitPaletteMagentaPulse();
void InitPaletteRainbow();
void InitPaletteBrownian();
