/*
utils.h
Copyright 2007 Matt Heinzen

This file is part of Color Machine 0.8

Color Machine is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

Color Machine is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Color Machine; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "SDL.h"


int Random(const int Range);
Uint8 Int2Color(int A);
void PlotPixel(int const X, int const Y, Uint8 const ColorIndex);
void DrawHLine(int X1, int X2, int Y, Uint8 const ColorIndex);
void DrawVLine(int X, int Y1, int Y2, Uint8 const ColorIndex);
void DrawLine(int X1, int Y1, int X2, int Y2, Uint8 const ColorIndex);
void DrawBox(int X1, int Y1, int X2, int Y2, Uint8 const ColorIndex);
void DrawDisc(int X, int Y, int R, Uint8 ColorIndex);
